Skip to main content
GET
TypeScript

Authorizations

Authorization
string
header
required

Use your project-specific Secret API key. Will start with tr_dev_, tr_prod, tr_stg, etc.

You can find your Secret API key in the API Keys section of your Trigger.dev project dashboard.

Our TypeScript SDK will default to using the value of the TRIGGER_SECRET_KEY environment variable if it is set. If you are using the SDK in a different environment, you can set the key using the configure function.

Query Parameters

page[size]
integer

Number of tokens to return per page (1–100).

Required range: 1 <= x <= 100
page[after]
string

Return tokens after this cursor (from pagination.next in a previous response).

page[before]
string

Return tokens before this cursor (from pagination.previous in a previous response).

filter[status]
string

Comma-separated list of statuses to filter by. Allowed values: WAITING, COMPLETED, TIMED_OUT.

filter[idempotencyKey]
string

Filter by idempotency key.

filter[tags]
string

Comma-separated list of tags to filter by.

filter[createdAt][period]
string

Shorthand time period to filter by creation date (e.g. 1h, 24h, 7d). Cannot be combined with filter[createdAt][from] or filter[createdAt][to].

filter[createdAt][from]
string<date-time>

Filter tokens created at or after this ISO 8601 timestamp.

filter[createdAt][to]
string<date-time>

Filter tokens created at or before this ISO 8601 timestamp.

Response

Successful request

data
object[]
required

An array of waitpoint token objects.

pagination
object
required